"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
function useEffect(getValue, condition, shouldUpdate) {
    const isMomunt = (0, vue_1.ref)(false);
    (0, vue_1.watch)(condition, (next, pre) => {
        if (shouldUpdate) {
            if (shouldUpdate(next, pre)) {
                getValue();
            }
        }
        else {
            getValue();
        }
    });
    (0, vue_1.onMounted)(() => {
        isMomunt.value = true;
        getValue();
    });
}
exports.default = useEffect;
